Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001286graphvizOtherpublic2008-03-16 23:452011-04-28 04:03
ReporterRyan Schmidt9 
Assigned Toerg 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSx86-OSX-10.4.11OS Version
Summary0001286: Pango-WARNING **: Error loading GDEF/GSUB/GPOS table 28333
Description



These Pango warnings have been showing up for awhile. I have a suspicion
it may be related to the version of pango or glib rather than any change
in graphviz, since I'm not having any success making the error go away
by downgrading graphviz to 2.16.x or 2.14.x, but my pre-compiled graphviz
2.14.1 binary on www.ryandesign.com/graphviz does not exhibit the problem
so some combination of things must've changed since then. I'm using pango
1.20.0 and glib 2.16.1 now but I only just upgraded to those versions
within the past week, and I've been seeing this problem for months.
Steps To Reproduce

$ echo 'digraph G { a }' | dot

(process:7463): Pango-WARNING **: Error loading GDEF table 28333

(process:7463): Pango-WARNING **: Error loading GSUB table 28333

(process:7463): Pango-WARNING **: Error loading GPOS table 28333
digraph G {
        node [label="\N"];
        graph [bb="0,0,54,36"];
        a [pos="27,18", width="0.75", height="0.50"];
}
Additional Information

What are GDEF/GSUB/GPOS tables? If you need me to try to isolate what's
causing this, I could try to go back to the 2.14.1 binary, see which
version of each dependent library I was using, and try individually
upgrading each until the problem appears...

[ellson] Where are we with this bug?

Do these warnings still show with latest pango+cairo libraries?

I'm assuming this is on a Mac? I've not noticed these warnings on Linux.

I think I've eliminated dependencies on fontconfig/freetype now on Macs
(except perhaps in the gd plugin, which probably should be disabled on Mac's).
I think these warnings are from pango+cairo using the quartz font subsystem.
I see there are still ongoing development discussions on the cairo list
related to quartz, so please try latest available pango+cairo releases.

[ryan]
Yes, the warnings persist. Yes, this is on a Mac, with Mac OS X 10.4.11 Tiger. The problem does not appear to relate to Quartz. Since filing this bug last year, I've modified the pango and cairo ports to not install any Quartz support unless the +quartz variant is not used, and I see the problem without the +quartz variant.


I also reported the problem to the Pango mailing list last year. They said it relates to a specific font. I didn't figure out which font.

http://mail.gnome.org/archives/gtk-i18n-list/2008-April/msg00004.html [^]

We now have a new bug in MacPorts for this issue:

http://trac.macports.org/ticket/19171 [^]

Our X11 expert Jeremy says it may be because of the fonts "Fixed" and "Helvetica".

<CD>
$ echo 'digraph G { a }' | dot

(process:14364): Pango-WARNING **: Error loading GDEF table 0x6EAD

(process:14364): Pango-WARNING **: Error loading GSUB table 0x6EAD

(process:14364): Pango-WARNING **: Error loading GPOS table 0x6EAD
digraph G {
        node [label="\N"];
        graph [bb="0,0,54,36"];
        a [pos="27,18", width="0.75", height="0.5"];
}
$ port installed pango cairo graphviz
The following ports are currently installed:
  cairo @1.8.6_4+macosx (active)
  graphviz @2.22.2_0+macosx+tcl (active)
  pango @1.24.0_0+macosx (active)
$
</CD>

[ryan] This was a pango bug fixed in 1.24.1:

http://bugzilla.gnome.org/show_bug.cgi?id=577952 [^]
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID1318
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENTFixed (20 Apr 2009)
VERSION     2.18
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => erg


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker